MSGP(1)

NAME
msgp - Go code generator for MessagePack

DESCRIPTION

  Usage of /build/golang-github-tinylib-msgp-dsJIxp/golang-github-tinylib-msgp-1.6.4/obj-x86_64-linux-gnu/bin/msgp:

-d value

    apply directive to all files. Multiple -d flags allowed. 'msgp:' can be omitted

-file string

    input file

-io

    create Encode and Decode methods (default true)

-marshal

    create Marshal and Unmarshal methods (default true)

-o string

    output file

-tests

    create tests and benchmarks (default true)

-unexported

    also process unexported types and fields

-v  verbose diagnostics